Author iritkatriel
Recipients iritkatriel
Date 2021-07-30.18:24:31
SpamBayes Score -1.0
Marked as misclassified Yes
Message-id <1627669471.31.0.97257359702.issue44785@roundup.psfhosted.org>
In-reply-to
Content
% ./python.exe -E -We -m test -v test_pickle

======================================================================
ERROR: test_import (test.test_pickle.CompatPickleTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/Users/iritkatriel/src/cpython-1/Lib/test/test_pickle.py", line 367, in getmodule
    return sys.modules[module]
           ~~~~~~~~~~~^^^^^^^^
KeyError: 'tkinter.tix'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/Users/iritkatriel/src/cpython-1/Lib/test/test_pickle.py", line 401, in test_import
    getmodule(module)
    ^^^^^^^^^^^^^^^^^
  File "/Users/iritkatriel/src/cpython-1/Lib/test/test_pickle.py", line 370, in getmodule
    __import__(module)
    ^^^^^^^^^^^^^^^^^^
  File "/Users/iritkatriel/src/cpython-1/Lib/tkinter/tix.py", line 32, in <module>
    warnings.warn(
    ^^^^^^^^^^^^^^
DeprecationWarning: The Tix Tk extension is unmaintained, and the tkinter.tix wrapper module is deprecated in favor of tkinter.ttk

======================================================================
ERROR: test_import_mapping (test.test_pickle.CompatPickleTests) [('tkinter.tix', 'Tix')]
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/Users/iritkatriel/src/cpython-1/Lib/test/test_pickle.py", line 367, in getmodule
    return sys.modules[module]
           ~~~~~~~~~~~^^^^^^^^
KeyError: 'tkinter.tix'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/Users/iritkatriel/src/cpython-1/Lib/test/test_pickle.py", line 409, in test_import_mapping
    getmodule(module3)
    ^^^^^^^^^^^^^^^^^^
  File "/Users/iritkatriel/src/cpython-1/Lib/test/test_pickle.py", line 370, in getmodule
    __import__(module)
    ^^^^^^^^^^^^^^^^^^
  File "/Users/iritkatriel/src/cpython-1/Lib/tkinter/tix.py", line 32, in <module>
    warnings.warn(
    ^^^^^^^^^^^^^^
DeprecationWarning: The Tix Tk extension is unmaintained, and the tkinter.tix wrapper module is deprecated in favor of tkinter.ttk

======================================================================
ERROR: test_reverse_import_mapping (test.test_pickle.CompatPickleTests) [('Tix', 'tkinter.tix')]
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/Users/iritkatriel/src/cpython-1/Lib/test/test_pickle.py", line 367, in getmodule
    return sys.modules[module]
           ~~~~~~~~~~~^^^^^^^^
KeyError: 'tkinter.tix'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/Users/iritkatriel/src/cpython-1/Lib/test/test_pickle.py", line 440, in test_reverse_import_mapping
    getmodule(module3)
    ^^^^^^^^^^^^^^^^^^
  File "/Users/iritkatriel/src/cpython-1/Lib/test/test_pickle.py", line 370, in getmodule
    __import__(module)
    ^^^^^^^^^^^^^^^^^^
  File "/Users/iritkatriel/src/cpython-1/Lib/tkinter/tix.py", line 32, in <module>
    warnings.warn(
    ^^^^^^^^^^^^^^
DeprecationWarning: The Tix Tk extension is unmaintained, and the tkinter.tix wrapper module is deprecated in favor of tkinter.ttk

----------------------------------------------------------------------
History
Date User Action Args
2021-07-30 18:24:31iritkatrielsetrecipients: + iritkatriel
2021-07-30 18:24:31iritkatrielsetmessageid: <1627669471.31.0.97257359702.issue44785@roundup.psfhosted.org>
2021-07-30 18:24:31iritkatriellinkissue44785 messages
2021-07-30 18:24:31iritkatrielcreate